# Generated by Django 4.1.10 on 2023-09-22 08:24

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0033_donateprojectindexpage_support_position"),
    ]

    operations = [
        migrations.AddField(
            model_name="donatehomepage",
            name="menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "menu_item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Menu",
            ),
        ),
    ]
